Unverified Commit 9e5446aa authored by Gavin Wood's avatar Gavin Wood Committed by GitHub
Browse files

Update Substrate, bump versions, clean up sort (#1496)

* Sort cleanups

* Bump versions
parent e3441cfd
Pipeline #102041 failed with stages
in 14 minutes and 35 seconds
......@@ -2478,7 +2478,7 @@ dependencies = [
[[package]]
name = "kusama-runtime"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"bitvec",
"frame-benchmarking",
......@@ -4372,7 +4372,7 @@ checksum = "feb3b2b1033b8a60b4da6ee470325f887758c95d5320f52f9ce0df055a55940e"
[[package]]
name = "polkadot"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"assert_cmd",
"futures 0.3.5",
......@@ -4411,7 +4411,7 @@ dependencies = [
[[package]]
name = "polkadot-availability-store"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"derive_more 0.99.9",
"exit-future",
......@@ -4437,7 +4437,7 @@ dependencies = [
[[package]]
name = "polkadot-cli"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"frame-benchmarking-cli",
"futures 0.3.5",
......@@ -4462,7 +4462,7 @@ dependencies = [
[[package]]
name = "polkadot-collator"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"futures 0.3.5",
"futures-timer 2.0.2",
......@@ -4500,7 +4500,7 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"derive_more 0.15.0",
"parity-scale-codec",
......@@ -4512,7 +4512,7 @@ dependencies = [
[[package]]
name = "polkadot-network"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"arrayvec 0.4.12",
"bytes 0.5.5",
......@@ -4560,7 +4560,7 @@ dependencies = [
[[package]]
name = "polkadot-network-test"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"futures 0.3.5",
"log 0.4.8",
......@@ -4715,7 +4715,7 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"derive_more 0.99.9",
"futures 0.3.5",
......@@ -4754,7 +4754,7 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"bitvec",
"frame-system",
......@@ -4778,7 +4778,7 @@ dependencies = [
[[package]]
name = "polkadot-rpc"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"jsonrpc-core",
"pallet-transaction-payment-rpc",
......@@ -4804,7 +4804,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"bitvec",
"frame-benchmarking",
......@@ -4878,7 +4878,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-common"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"bitvec",
"frame-benchmarking",
......@@ -4966,7 +4966,7 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"env_logger",
"frame-benchmarking",
......@@ -5109,7 +5109,7 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"parity-scale-codec",
"polkadot-primitives",
......@@ -5118,7 +5118,7 @@ dependencies = [
[[package]]
name = "polkadot-test-runtime"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"bitvec",
"frame-executive",
......@@ -5249,7 +5249,7 @@ dependencies = [
[[package]]
name = "polkadot-validation"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"ansi_term 0.12.1",
"bitvec",
......@@ -8427,7 +8427,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"dlmalloc",
"parity-scale-codec",
......@@ -8468,7 +8468,7 @@ dependencies = [
[[package]]
name = "test-parachain-halt"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"substrate-wasm-builder-runner 1.0.6 (registry+https://github.com/rust-lang/crates.io-index)",
]
......@@ -9499,7 +9499,7 @@ dependencies = [
[[package]]
name = "westend-runtime"
version = "0.8.19"
version = "0.8.22"
dependencies = [
"bitvec",
"frame-benchmarking",
......
......@@ -4,7 +4,7 @@ path = "src/main.rs"
[package]
name = "polkadot"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-availability-store"
description = "Persistent database for parachain data"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-cli"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot Relay-chain Client Node"
edition = "2018"
......
[package]
name = "polkadot-collator"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Collator node implementation"
edition = "2018"
......
[package]
name = "polkadot-erasure-coding"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-network"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot-specific networking protocol"
edition = "2018"
......
[package]
name = "polkadot-network-test"
version = "0.8.19"
version = "0.8.22"
license = "GPL-3.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-parachain"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Types and utilities for creating and working with parachains"
edition = "2018"
......
[package]
name = "test-parachain-adder"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which adds to a number as its state transition"
edition = "2018"
......
[package]
name = "test-parachain-halt"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which executes forever"
edition = "2018"
......
[package]
name = "polkadot-primitives"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-rpc"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-runtime-common"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
......@@ -205,7 +205,7 @@ decl_storage! {
#[cfg(feature = "std")]
fn build<T: Trait>(config: &GenesisConfig<T>) {
let mut p = config.parachains.clone();
p.sort_unstable_by_key(|&(ref id, _, _)| *id);
p.sort_by_key(|&(ref id, _, _)| *id);
p.dedup_by_key(|&mut (ref id, _, _)| *id);
let only_ids: Vec<ParaId> = p.iter().map(|&(ref id, _, _)| id).cloned().collect();
......
[package]
name = "kusama-runtime"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
......@@ -87,7 +87,7 @@ pub const VERSION: RuntimeVersion = RuntimeVersion {
spec_name: create_runtime_str!("kusama"),
impl_name: create_runtime_str!("parity-kusama"),
authoring_version: 2,
spec_version: 2021,
spec_version: 2022,
impl_version: 0,
#[cfg(not(feature = "disable-runtime-api"))]
apis: RUNTIME_API_VERSIONS,
......
......@@ -223,7 +223,7 @@ fn build<T: Trait>(config: &GenesisConfig<T>) {
.cloned()
.collect();
parachains.sort_unstable();
parachains.sort();
parachains.dedup();
Parachains::put(&parachains);
......
[package]
name = "polkadot-runtime"
version = "0.8.19"
version = "0.8.22"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
......@@ -86,7 +86,7 @@ pub const VERSION: RuntimeVersion = RuntimeVersion {
spec_name: create_runtime_str!("polkadot"),
impl_name: create_runtime_str!("parity-polkadot"),
authoring_version: 0,
spec_version: 21,
spec_version: 22,
impl_version: 0,
#[cfg(not(feature = "disable-runtime-api"))]
apis: RUNTIME_API_VERSIONS,
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment